#pragma once
#ifndef _BOARD_H_
#define _BOARD_H_

/* Includes */
#include "main.h"

/* Type Defs */
typedef enum {
  Disable = 0,
  Emable = 1
} dis_en_t;


/* Defines */
/* Exported macros */
#define BUZER_ON    TIM1->CR1 |= TIM_CR1_CEN
#define BUZER_OFF   TIM1->CR1 &= ~TIM_CR1_CEN

/* Display macros */
#define HT1632C_CS_ON     GPIOA->BRR = (1<<15)
#define HT1632C_CS_OFF    GPIOA->BSRR = (1<<15)
#define HT1632C_WR_LOW    GPIOB->BRR = (1<<3)
#define HT1632C_WR_HGH    GPIOB->BSRR = (1<<3)
#define HT1632C_DATA_0    GPIOB->BRR = (1<<5)
#define HT1632C_DATA_1    GPIOB->BSRR = (1<<5)

/* Exported funcions */
void Board_Init(void);
void EXTI4_15_IRQHandler(void);
void DMA1_Channel2_3_IRQHandler(void);
void I2C1_IRQHandler(void);
void buzer_On(void);
void buzer_Off(void);
void GPIO_SPI_SW(void);
void GPIO_SPI_HW(void);

#endif /* _BOARD_H_ */
